### Constructor

# GcrUi CertificateWidget new

#### Declaration [src]

    GcrCertificateWidget*
    gcr_certificate_widget_new (
      GcrCertificate* certificate
    )

#### Description [src]

Create a new certificate widget which displays a given certificate.

#### Parameters

`certificate`

  Type: `GcrCertificate`

  Certificate to display, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GcrCertificateWidget`

A new certificate widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.